Package org.eclipse.net4j.util.concurrent

# Class RunnableWithName

java.lang.Object
org.eclipse.net4j.util.concurrent.RunnableWithName

All Implemented Interfaces:
  `Runnable`

public abstract class RunnableWithName extends Object implements Runnable

Since:
  3.6
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`RunnableWithName()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`doRun()`
`abstract String`
`getName()`
`final void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunnableWithName

public RunnableWithName()

## Method Details

### run

public final void run()

Specified by:
  `run` in interface `Runnable`

### getName

public abstract String getName()

### doRun

protected abstract void doRun()